# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Pokemon Mystery Dungeon Explorers of Sky Template

game: Pokemon Mystery Dungeon Explorers of Sky
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.
  game:
    Pokemon Mystery Dungeon Explorers of Sky: 0.3.2 # Version of the world required for this yaml to work as expected.

Pokemon Mystery Dungeon Explorers of Sky:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  goal:
    # Change the desired goal to complete the game
    # Dialga - Get X relic fragment shards to unlock hidden land. Find Temporal Tower location
    #         then go through hidden land via Lapras on the beach to beat dialga
    # Darkrai - Beat Dialga (all the same requirements), then get X instruments to unlock Dark Crater
    dialga: 50
    darkrai: 0

  required_fragments:
    # How many Relic Fragment Shards should be required in the game (Macguffins)
    # that you must get to unlock Hidden Land
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 4
    # Maximum value is 15
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-4-15: 0 # random value between 4 and 15
    easy: 0 # equivalent to 4
    normal: 50 # equivalent to 6
    hard: 0 # equivalent to 8
    extreme: 0 # equivalent to 10

  total_shards:
    # How many total Fragment Shards should be in the game?
    # If the total shards is less than required shards, the total shard amount is equal to the required shard amount
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 20
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-20: 0 # random value between 0 and 20
    easy: 0 # equivalent to 16
    normal: 50 # equivalent to 12
    hard: 0 # equivalent to 8
    extreme: 0 # equivalent to 0

  req_instruments:
    # How many Instruments should be required in the game (Macguffins)
    # that you must get to unlock Dark Crater if victory condition is Darkrai
    # Instruments are not added to the item pool if the goal is Dialga
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 4
    # Maximum value is 15
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-4-15: 0 # random value between 4 and 15
    easy: 0 # equivalent to 4
    normal: 50 # equivalent to 6
    hard: 0 # equivalent to 8
    extreme: 0 # equivalent to 10

  total_instruments:
    # How many total Instruments should be in the game?
    # If the total instruments is less than required instruments,
    #  the total instrument amount is equal to the required instrument amount
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 20
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-20: 0 # random value between 0 and 20
    easy: 0 # equivalent to 16
    normal: 50 # equivalent to 12
    hard: 0 # equivalent to 8
    extreme: 0 # equivalent to 0

  recruit:
    # Start with recruitment enabled?
    # If false, recruitment will be an item available in game
    'false': 0
    'true': 50

  recruit_evo:
    # Start with Recruitment Evolution Enabled?
    # If false, evolution will be an item available in game
    'false': 0
    'true': 50

  team_form:
    # Start with full team formation control?
    # If false, full team formation control will be an item
    # available in game
    'false': 0
    'true': 50

  hero_evolution:
    # Start with Hero/Partner Evolution Enabled?
    # If false, hero evolution will be an item available in game.
    # Note: hero evolution does nothing until recruitment
    # evolution has been unlocked
    'false': 0
    'true': 50

  bag_on_start:
    # Start with bag? If False all bag upgrades will be randomized in the game.
    # If true, you will get one bag upgrade (16 slots) and the rest will be randomized
    'false': 0
    'true': 50

  dojo_dungeons:
    # How many dojo dungeons should be accessible at start?
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 10
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-10: 0 # random value between 0 and 10
    all_open: 0 # equivalent to 10
    all_random: 0 # equivalent to 0
    start_with_three: 50 # equivalent to 3
    start_with_one: 0 # equivalent to 1

  early_mission_checks:
    # How many Missions per dungeon pre dialga should be checks?
    # 0 equals missions are not checks
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 31
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-31: 0 # random value between 0 and 31
    off: 0 # equivalent to 0
    some: 50 # equivalent to 4
    lots: 0 # equivalent to 10
    insanity: 0 # equivalent to 31

  late_mission_checks:
    # How many Missions per dungeon post-dialga (including Hidden Land
    # and Temporal Tower) should be checks? 0 equals missions are not checks
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 31
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-31: 0 # random value between 0 and 31
    off: 0 # equivalent to 0
    some: 50 # equivalent to 4
    lots: 0 # equivalent to 10
    insanity: 0 # equivalent to 31

  early_outlaw_checks:
    # How many outlaws per dungeon pre dialga should be checks?
    # 0 equals outlaws are not checks
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 31
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-31: 0 # random value between 0 and 31
    off: 0 # equivalent to 0
    some: 50 # equivalent to 2
    lots: 0 # equivalent to 10
    insanity: 0 # equivalent to 31

  late_outlaw_checks:
    # How many Missions per dungeon post-dialga (including Hidden Land
    # and Temporal Tower) should be checks? 0 equals outlaws are not checks
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 31
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-31: 0 # random value between 0 and 31
    off: 0 # equivalent to 0
    some: 50 # equivalent to 2
    lots: 0 # equivalent to 10
    insanity: 0 # equivalent to 31

  type_sanity:
    # Allow for your partner to share a type with your main character
    # WARNING: The game is not balanced around this, and we have not done anything to change that.
    # Use at your own risk
    'false': 50
    'true': 0

  starter_option:
    # How would you like your starter and partner to be chosen?
    # Vanilla: You do the quiz and are stuck with what the quiz gives you. Choose your partner as normal
    # Random: Both your MC and partner will be completely random. This means they can be the same type
    #         WARNING: game is not balanced for same type team, use at your own risk (until we fix typesanity)
    # Override: Do the quiz, but you can override the hero it gives you. Choose your partner as normal
    # Choose: Skip the quiz and go straight to choosing your starter and partner
    # For both Choose and Override you will be able to pick partner exclusive pokemon for your starter as well as gender
    # exclusive pokemon regardless of gender
    vanilla: 0
    random_starter: 0
    override: 50
    choose: 0

  iq_scaling:
    # Do you want to scale IQ to gain IQ faster? What rate? (1x, 2x, 3x, etc.)
    # WARNING: 0x WILL NOT GIVE YOU ANY IQ. USE AT YOUR OWN RISK
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 15
    2: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-15: 0 # random value between 0 and 15

  xp_scaling:
    # Do you want to scale XP to gain XP faster? What rate? (1x, 2x, 3x, etc.)
    # WARNING: 0x WILL NOT GIVE YOU ANY XP. USE AT YOUR OWN RISK
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 15
    2: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-15: 0 # random value between 0 and 15

  level_scale:
    # Allow for dungeons to scale to the highest level of your party members?
    # This will not scale bosses at the end of dungeons, also will not scale Outlaws
    # Adjust enemies levels to match the highest party level so you won't have to grind as much.
    # Off: Enemy levels are vanilla.
    # Easy: Enemies will be bumped down to the highest party level if they're above it.
    # Difficult: Enemies will be bumped either down or up to match the party level regardless of their vanilla level
    # Regardless of your choice, bosses at the end of dungeons will NOT scale.
    'off': 0
    easy: 50
    difficult: 0

  guest_scaling:
    # Makes the dungeon guests (Bidoof in Cragy Coast, Grovyle in Hidden Land, etc.) scale to your party level
    # Does nothing if Level scaling is off
    'false': 0
    'true': 50

  deathlink:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  deathlink_type:
    # What type of deathlink do you want?
    # Currently False is death even if you have revival seeds
    # True will die and recover from revival seeds
    'false': 50
    'true': 0

  legendaries:
    # How many Legendary Pokemon should be in the item pool for you to recruit?
    # The Legendary will only come post-dialga if you get it early
    # Legendaries are disabled if you are going for a dialga goal
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 21
    3: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-21: 0 # random value between 0 and 21

  allowed_legendaries:
    # Set which Legendaries will be available for the item pool as recruits.
    # NOTE: legendaries normally found in dungeons are not yet randomized. This only includes legendary recruits at the ends of dungeons
    ['Regirock', 'Regice', 'Registeel', 'Groudon', 'Uxie', 'Mesprit', 'Azelf', 'Dialga', 'Palkia', 'Regigigas', 'Giratina', 'Celebi', 'Articuno', 'Heatran', 'Primal Dialga', 'Mew', 'Phione', 'Cresselia', 'Rayquaza', 'Kyogre', 'Shaymin']

  special_episode_sanity:
    # Start the game with one of the special episodes and NOT the main game.
    # Unlock the main game through an item
    # Overridden by Excluding Special Episodes
    'false': 50
    'true': 0

  exclude_special:
    # No special episode items will be added to the game
    # Overrides Special Episode Sanity
    'false': 50
    'true': 0

  sky_peak_type:
    # How do you want sky peak to work?
    # 1: Progressive (unlock dungeons sequentially when you pick up a sky peak item)
    # 2. All Random (unlock sky peak dungeons completely at random based on which sky peak item you pick up)
    # 3: All unlocked from one item (there will be one sky peak item that unlocks all sky peak checks)
    progressive: 50
    all_random: 0
    unlock_all: 0

  allow_traps:
    # Would you like to allow traps in the filler items of the game?
    # 0: No traps allowed
    # 1: regular traps allowed, nothing too crazy
    # 2: mean traps allowed (possibility of getting two traps at the same time *unown sentry duty*)
    # MEAN TRAPS NOT CURRENTLY IMPLEMENTED CURRENTLY 1 AND 2 DO THE SAME THING WHICH IS JUST ENABLE TRAPS
    disabled: 50
    regular: 0
    mean: 0

  invisible_traps:
    # Make all traps invisible so when they come in from the client you don't know what happens until you get the trap
    # activated
    # NOT YET IMPLEMENTED
    'false': 50
    'true': 0

  trap_percent:
    # What percentage of filler items should be traps? Range from 0 to 100 (affected by allowed traps)
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    20: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  long_location:
    # Include Rule dungeons, clearing all dojos, final dojo, ludicolo dance,
    # and duskull bank checks over 20k in logic
    'false': 50
    'true': 0

  cursed_aegis_cave:
    # Do you want Aegis cave to logically require you to beat a regi you don't have a seal for?
    'false': 50
    'true': 0

  early_mission_floors:
    # Allow missions to start on floor 2 of dungeons instead on (floors/2)
    'false': 0
    'true': 50

  move_shortcuts:
    # Enable the Move Shortcut Menu by holding (default L button)
    # Disabling this current is not implemented ROMSide
    'false': 0
    'true': 50

  spinda_drinks:
    # How many Spinda Drinks should be checks?
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 20
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-20: 0 # random value between 0 and 20
    few: 50 # equivalent to 5
    some: 0 # equivalent to 10
    lots: 0 # equivalent to 15
    all: 0 # equivalent to 20

  drink_events:
    # How many drink events should be checks?
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 20
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-20: 0 # random value between 0 and 20
    few: 50 # equivalent to 5
    some: 0 # equivalent to 10
    lots: 0 # equivalent to 15
    all: 0 # equivalent to 20

  max_rank:
    # What is the maximum required rank you want to be logically necessary
    # If your goal is dialga and your max rank is above master rank, your max will be set to master rank
    disabled: 50
    bronze: 0
    silver: 0
    gold: 0
    diamond: 0
    super: 0
    ultra: 0
    hyper: 0
    master: 0
    master_1star: 0
    master_2star: 0
    master_3star: 0
    guildmaster: 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_inventory_from_pool:
    # Start with the specified amount of these items and don't place them in the world. Example: "Bomb: 1"
    # 
    # The game decides what the replacement items will be.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
